Get started with SEOPress

Requirements

We recommend servers running version 7.3 or greater of PHP and MySQL version 5.6 OR MariaDB version 10.0 or greater.
We also recommend either Apache or Nginx.
DOM is a required PHP module by SEOPress. It’s usually installed by default on webhost. Since SEOPress 3.7.7, if the module is missing, an alert appears from the notification center. Contact your webhost if it the case.
WordPress 4.7 is the minium required version, we strongly recommend the latest one available.

SEOPress free release: Installation

Login to your WordPress website, and go to Plugins, Add new, search SEOPress.

Click Install now.

Activate and that’s it!

SEOPress Pro: Installation

First of all, you have to buy SEOPress PRO, and download it from your customer area.

Then, go to your WordPress admin, Plugins, Add new and upload the ZIP file of our plugin.

Click Activate.

 

Last modified: December 2, 2019